package itexpert.chap13.user;

import itexpert.chap13.exceptions.ShopDAOException;

public class UserDAOFactory {

    /**
     * dbType  XXXUserImpl ü 
     * OraUserImpl Ŭ Ǿ  ٸ dbType ϱ  UserDAO Ͽ if  ߰ϸ ȴ.
     */
    public static UserDAO getDAO(String dbType) throws ShopDAOException {
        if (dbType.equals("oracle")) {
            return new OraUserDAOImpl();
        } else { 
            throw new ShopDAOException("dbType: " + dbType + " NOT IMPLEMENTED"); 
        }
     }
}