package itexpert.common;

import java.io.UnsupportedEncodingException;
import java.text.SimpleDateFormat;
import java.util.Date;

/**
 *  Ǵ ޼ҵ Ƽ ϴ Ŭ;
 * ѱ ڵ,ڵ, html ± ̱, ڿ ġ  
 * @author kenu
 */
public class CommonUtil {
    /**
     * Method MS949 -> 8859_1  ڼ ȯ.
     * @param str
     * @return String
     */
    public static String toEng(String str) {
        return changeCharset(str, "MS949", "8859_1");
    }

    /**
     * Method MS949 -> 8859_1  ڼ ȯ.
     * @param str
     * @return String
     */
    public static String toKor(String str) {
        return changeCharset(str, "8859_1", "MS949");
    }

    /**
     * ڿ code1 code2 ڵ ٲ۴.
     * @param str
     * @param code1
     * @param code2
     * @return String
     */
    public static String changeCharset(String str, String code1, String code2) {
        if (str == null)
            return null;
        try {
            return new String(str.getBytes(code1), code2);
        } catch (UnsupportedEncodingException e) {
            return str;
        }
    }

    /**
     * Method replace ڿ  κ ٸ κ ġϴ ޼ҵ
     * author ɹο mailto:minwoo1975@hanmail.net
     * from; http://javaservice.net
     * @param str
     * @param oldString
     * @param newString
     * @return String
     */
    public static String replace(String str, String oldStr, String newStr) {

        if (str == null) {
            return null;
        }
        if (oldStr == null || newStr == null || oldStr.length() == 0) {
            return str;
        }

        int i = str.lastIndexOf(oldStr);
        if (i < 0)
            return str;

        StringBuffer sbuf = new StringBuffer(str);

        while (i >= 0) {
            sbuf.replace(i, (i + oldStr.length()), newStr);
            i = str.lastIndexOf(oldStr, i - 1);
        }
        return sbuf.toString();
    }

    /**
     * Method formatDate.
     * ¥Ŀ  ڿ ȯѴ.
     * <code>) formatDate(new java.util.Date(), "yyyy-MM-dd (HH:mm:ss)");<br>
     * ) 2003-03-05 (11:22:33) </code>
     * @param format
     * @return String
     */
    public static String formatDate(Date date, String format) {
        SimpleDateFormat sdf = new SimpleDateFormat(format);
        return sdf.format(date);
    }

    /**
     * html ± ǥ, 0:TEXT, 1:HTML+&lt;br&gt;, 2:HTML
     * @param string
     * @param i
     * @return String
     */
    public static String showTag(String str, int htmlFlag) {
        switch (htmlFlag) {
            case 0 : //  ± ҽ ̱ case1  ٹٲó
                str = replace(str, "<", "&lt;");
            case 1 : // ٹٲ ó
                str = replace(str, "\n", "<br>");
                // 2  
        }
        return str;
    }

}
