package itexpert.common;

import java.sql.Connection;
import java.sql.SQLException;

import javax.naming.Context;
import javax.naming.InitialContext;
import javax.naming.NamingException;
import javax.sql.DataSource;

/**
 * server.xml  ؼ ̳ʿ 
 * DataSource  Connection  ϳ ȯѴ.
 * @author kenu
 */
public class DsConn {
    /**
     * server.xml  ؼ ̳ʿ 
     * DataSource  Connection  ϳ ȯѴ.
     * @return Connection
     * @throws SQLException
     */
    public static Connection getConnection() throws SQLException {
        Context initContext;
        try {
            // ؽƮ jdbc/myoracle   DataSource  ã´.
            initContext = new InitialContext();
            Context envContext = (Context) initContext.lookup("java:/comp/env");
            DataSource ds = (DataSource) envContext.lookup("jdbc/myoracle");

            return ds.getConnection();
        } catch (NamingException e) {
            System.out.println(
                "can't get Connection from DataSource:" + e.toString());
        }
        return null;
    }

}
