 CREATE TABLE BOARD
(
	SEQ	NUMBER UNIQUE NOT NULL,
	REF	NUMBER NOT NULL,
	STEP	NUMBER DEFAULT 0 NOT NULL ,
	LEV	NUMBER DEFAULT 0 NOT NULL ,
	NAME	VARCHAR2(20) NOT NULL,
	EMAIL	VARCHAR2(40),
	HOMEPAGE	VARCHAR2(40),
	SUBJECT	VARCHAR2(100) NOT NULL,
	CONTENT	CLOB NOT NULL,
	PASSWORD	VARCHAR2(8) NOT NULL,
	LOGTIME	DATE NOT NULL,
	HIT 	NUMBER DEFAULT 0 NOT NULL ,
	HTML	NUMBER DEFAULT 0 NOT NULL ,
	PSEQ	NUMBER DEFAULT 0 NOT NULL ,
	REPLY	NUMBER DEFAULT 0 NOT NULL ,
	CONSTRAINT PK_BOARD PRIMARY KEY (SEQ )
);

CREATE INDEX IDX_BOARD_REF ON BOARD (REF, STEP DESC) ;

CREATE SEQUENCE SEQ_BOARD START WITH 1 INCREMENT BY 1 NOCACHE ;
