<%@ page import="javax.ejb.*,itexpert.chap14.ejbs.*,java.util.*,javax.naming.*" %>
<%@ page contentType="text/html; charset=euc-kr" %>
<%!
	HttpServletRequest req;
	String getParameter(String name, String def){
		name = req.getParameter(name);
		return (name == null ? def: name);
	}
	String primaryKeys [] = {"abcnf-123", "aaaa-1234", "abcdef-456"};
%>
<%
	Context ctx = new InitialContext();
	//Don't need to cast using javax.rmi.PortableRemoteObject.narrow()
	LocalBookHome home = (LocalBookHome) ctx.lookup("java:comp/env/BookCmpEJB");
	LocalBook localEjb = null;
	req = request;
	String callType = getParameter("exec_type", "");
	int count = primaryKeys.length;
	if ( callType.equals("delete") ) {
		try {
			for ( int i = 0; i < count; i++ ) {
				home.remove(primaryKeys[i]);
			}
		} catch ( Exception e ) {
			e.printStackTrace();
		}
	} else if ( callType.equals("create") ) {
		try {
			home.create("abcnf-123", "Java Programming Language", "Yang Hooe Suk", 23000);
			home.create("aaaa-1234", "Java Programming Language", "ƹ", 25000);
			home.create("abcdef-456", "Perfect Java Server Pages", "Yang Hooe Suk", 33000);
		} catch ( CreateException e ) {
			e.printStackTrace();
		}
	}
%>
<html><head>
<Script language='JavaScript'>
	function execute(type) {
		var frm = document.aFrm;
		frm.exec_type.value = type;
		frm.submit();
	}
</Script>
<title></title>
</head>
<body>
<h3>EJB 2.0 Container-Managed Persistence Entity Bean Test!<hr>
<form name="aFrm">
	<input type='button' value='Create Sample Records' onClick="JavaScript:execute('create')">
	<input type='button' value='Delete Record' onClick="JavaScript:execute('delete')">
	<input type='button' value='List Records'onClick="JavaScript:execute('list')">
	<input type='hidden' name='exec_type' >
</form>
<table border="1">
	<tr>
		<th>ISBN</th><th>Title</th><th>Author</th><th>Price</th>
	</tr>
<%
	Collection col = home.findAllBooks();
	Iterator ejbs = col.iterator();
	while ( ejbs.hasNext() ) {
		localEjb = (LocalBook) ejbs.next();
%>
	<tr>
		<td><%= localEjb.getIsbn() %></td><td><%= localEjb.getTitle() %></td>
		<td><%= localEjb.getAuthor() %></td><td><%= localEjb.getPrice() %></td>
	</tr>
<%
	}
	if ( col.isEmpty() ) {
%>
	<tr><td colspan="4"> No Books were found! </td></tr>
<%
	}
%>
</table>
</body>
</html>