package itexpert.chap10;

import java.io.IOException;
import java.util.Enumeration;
import java.util.HashMap;
import java.util.ResourceBundle;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * Ʈѷ 
 * @author kenu
 */
public class Controller extends HttpServlet {
    HashMap acts = new HashMap();

    /**
     * @see javax.servlet.GenericServlet#init()
     *
     * URL.properties  о HashMap  
     */
    public void init() throws ServletException {

        super.init();

        try {
            ResourceBundle rb = ResourceBundle.getBundle("URL");
            Enumeration enum = rb.getKeys();

            while (enum.hasMoreElements()) {
                String bkey = (String) enum.nextElement();
                acts.put(bkey, rb.getString(bkey));
            }
        } catch (Exception e) {
            System.out.println("Err: " + e.toString());
            throw new ServletException("Err: " + e.toString());
        }

    }

    /**
     *  ó doPost() ѱ.
     */
    public void doGet(HttpServletRequest request, HttpServletResponse response)
        throws ServletException, IOException {
        doPost(request, response);
    }

    /**
     * act    ó ѱ.
     */
    public void doPost(
        HttpServletRequest request,
        HttpServletResponse response)
        throws ServletException, IOException {

        String next = null;
        try {
            next = (String) acts.get(request.getParameter("act"));
            if(next == null)
                throw new Exception("  ۾Դϴ.");
        } catch (Exception e) {
            // ó ܴ ERROR  ̵Ų.
            request.setAttribute("javax.servlet.jsp.jspException", e);
            next = (String) acts.get("ERROR");
        }
        // next    ̵Ѵ.
        request.getRequestDispatcher(next).forward(request, response);
    }
}
