package itexpert.chap10.bbs;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.SQLException;

import itexpert.common.DsConn;

/**
 * @author kenu
 *
 * йȣ  ˻  db 
 */
public class BbsDeleteHandler {
    private int seq;
    private String passwd;

    final static String QUERY_DELETE =
        "DELETE FROM BOARD WHERE SEQ = :SEQ";
    final static String QUERY_REDUCE_PSEQ =
        "UPDATE BOARD SET REPLY = REPLY - 1 WHERE SEQ = :PSEQ";
    /**
     * request   ޾Ƽ db   
     *
     * @throws SQLException
     */
    public void doDelete() throws SQLException {

        Connection conn = null;
        PreparedStatement pstmt = null;

        //  Խù о´.
        BbsViewHandler one = new BbsViewHandler();
        one.setSeq(this.seq);
        one.getArticle();

        if (!one.getPassword().equals(this.passwd)) {
             throw new SQLException("йȣ Ʋϴ.");
        }

        if (one.getReply() > 0) {
             throw new SQLException(" ־   ϴ.");
        }

        try {

            // db ۹ȣ йȣ شϴ  Ѵ.
            conn = DsConn.getConnection();
            conn.setAutoCommit(false);

            pstmt = conn.prepareStatement(QUERY_DELETE);
            pstmt.setInt(1, this.seq);
            //   
            int count = pstmt.executeUpdate();
            pstmt.close();

            //   0 ̸ ܸ ߻ؼ  Ѵ.
            if(count==0) {
                throw new SQLException(" ԽùԴϴ.");
            }

            // θ reply  ϳ ٿش.
            pstmt = conn.prepareStatement(QUERY_REDUCE_PSEQ);
            pstmt.setInt(1, one.getPseq());
            //   
            count = pstmt.executeUpdate();
            pstmt.close();

            conn.commit();

            // db  ݱ
        } catch (SQLException e) {
            conn.rollback();
            throw e;
        } finally {

            try {
                conn.setAutoCommit(true);
                conn.close();
            } catch (SQLException e) {
            }
        }

    }

    /**
     * Sets the passwd.
     * @param passwd The passwd to set
     */
    public void setPasswd(String passwd) {
        this.passwd = passwd;
    }

    /**
     * Sets the seq.
     * @param seq The seq to set
     */
    public void setSeq(int seq) {
        this.seq = seq;
    }

}
