package itexpert.chap13.buy;

import java.util.Hashtable;
import java.util.Enumeration;

public class CartBean {

    private Hashtable items = new Hashtable();
    
    /**
     * īƮ book ߰ϴ ޼ҵ
     * ̹  isbn  ִٸ   Ų.
     */
    public void addItem(BookBean book) {
        if (book.getQuantity() > 0) {
            if (items.containsKey(book.getIsbn())) {
                BookBean item = (BookBean) items.get(book.getIsbn());
                int quantity = item.getQuantity() + book.getQuantity();
                item.setQuantity(quantity);
            } else {
                items.put(book.getIsbn(), book);
            }
        }
    }
    
    public void removeItem(BookBean book) {
        items.remove(book.getIsbn());
    }

    public Hashtable getItems() {
        return items;
    }
    
    /**
     * Hashtable Enumeration ü ͼ JSP ϳ īƮ    ְ Ѵ.
     */
    public Enumeration getBooks() {
        return items.elements();
    }

    /**
     * īƮ 빰  ޼ҵ
     */
    public void emptyCart() {    
        items.clear();
    }

    /**
     * īƮ   (Hashtable ũ )
     */
    public int getSize() {
        return items.size();
    }
}