package itexpert.common;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.SQLException;
import java.util.ResourceBundle;

/**
 * ͺ̽ ᰴü  Ŭ
 * ĿؼǮ Ŭ clob  Ŭ 浹 ų 
 *  Ŭ Ѵ.
 * @author kenu
 */
public class DbCon {
    private static String JDBC_URL = null;
    private static String DB_USER = null;
    private static String DB_PASSWORD = null;
    private static String JDBC_DRIVER = null;

    static {
        /* jdbc  itexpert.common.DB.properties Ͽ ִ.
         * jdbc ̹ ε   Ǹ ȴ.
         * DbCon  ȣ   ȴ.
         */

        try {
            ResourceBundle rb =
                ResourceBundle.getBundle("itexpert.common.DB");
            JDBC_URL = rb.getString("JDBC_URL");
            JDBC_DRIVER = rb.getString("JDBC_DRIVER");
            DB_USER = rb.getString("USER");
            DB_PASSWORD = rb.getString("PASSWORD");
            if (JDBC_URL == null
                || JDBC_DRIVER == null
                || DB_PASSWORD == null
                || DB_USER == null) {
                    throw new Exception("Ƽ  JDBC  ߸ Ǿϴ.");
            }

            Class.forName(JDBC_DRIVER);
        } catch (ClassNotFoundException e) {
            /* ޽ /logs 丮 catalina.out ̳
             * ֿܼ .
             */
            System.out.println(e.toString());
        } catch (Exception e) {
            System.out.println(e.toString());
        }
    }

    /**
     * Ŀؼ ´.
     * @return Connection
     * @throws SQLException
     */
    public Connection getConnection() throws SQLException {
        return DriverManager.getConnection(JDBC_URL, DB_USER, DB_PASSWORD);
    }
}
