<%@ page  contentType="text/html;charset=euc-kr"  errorPage="error.jsp" %>
<%@ taglib uri="jstl/core" prefix="c" %>
<%@ taglib uri="jstl/sql" prefix="sql" %>
<%@ taglib uri="jstl/fmt" prefix="fmt" %>
<%@ taglib uri="struts/html" prefix="html" %>
<sql:query var="books" dataSource="jdbc/bookshop">
    SELECT isbn, title, price, remaining, author, publisher, description FROM books WHERE isbn=?
    <sql:param value="${param.isbn}"/>
</sql:query>
<c:set var="book" value="${books.rows[0]}"/>
<HTML>
    <HEAD>
        <TITLE> оߺ å (<c:out value="${book.title}"/>)</TITLE>
        <SCRIPT LANGUAGE="javascript">
            function submitForm(action) {
                cartForm.action.value = action;
                if (action == 'add') {
                    if (isNaN(cartForm.quantity.value)) {
                        alert(" ڸ ԷϽʽÿ.");
                        return;
                    } else if (cartForm.quantity.value < 1) {
                        alert(" 1 ̻ ԷϽʽÿ.");
                        return;
                    }
                }
                cartForm.submit();
            }
        </SCRIPT>
    </HEAD>
    <BODY BGCOLOR="WHITE" TEXT="BLACK" LINK="BLUE" VLINK="PURPLE" ALINK="RED">
        <CENTER>
            <H2>Java Power Group &nbsp;&nbsp; ¶  θ </H2>
            <BR>
            <FONT SIZE="+2" COLOR="BLUE"><c:out value="${book.title}"/></FONT> &nbsp;&nbsp;
                By <c:out value="${book.author}"/><HR>
        </CENTER>
        : <fmt:formatNumber value="${book.price}"/>  <BR>
        : <c:set var="remaining" value="${book.remaining}"/>
        <c:choose>
            <c:when test="${remaining > 0}"><fmt:formatNumber value="${remaining}"/> </c:when>
            <c:otherwise></c:otherwise>
        </c:choose>
        <BR>
        ǻ: <c:out value="${book.publisher}"/><BR><P>
        <B>:</B><P><c:out value="${book.description}"/><BR><P>
        <html:link page='<%= "/fop?isbn=" + request.getParameter("isbn") %>'>[ ̸]</html:link>
        <BR><BR><BR><BR>
        <TABLE ALIGN="CENTER" BORDER="0" WIDTH="500" CELLPADDING="10">
            <TR>
                <html:form action="/cart">
                    <c:if test="${remaining > 0}">
                        <html:hidden property="action"/>
                        <html:hidden name="book" property="isbn"/>
                        <TD>: <html:text property="quantity" size="3"/></TD>
                        <TD ALIGN="RIGHT" WIDTH="50%">
                            <html:button property="btn" onclick="submitForm('add')">īƮ ߰</html:button>
                        </TD>
                    </c:if>
                    <TD ALIGN="LEFT">
                        <html:button property="btn" onclick="submitForm('view')">īƮ </html:button>
                    </TD>
                </html:form>
            </TR>
        </TABLE>
        <P ALIGN="CENTER">
            <html:link forward="main"> </html:link>&nbsp;&nbsp;
            <A HREF="javascript:history.back()"></A>&nbsp;&nbsp;
            <c:if test="${not empty userInfo}">
                <html:link forward="logout">α׾ƿ</html:link>
            </c:if>
        </P>
        <%@ include file="footer.html" %>
    </BODY>
</HTML>