<?xml version="1.0" encoding="euc-kr"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
    <!--    -->
    <xsl:output method="html" encoding="euc-kr" indent="yes"/>

    <xsl:template match="/">
        <html>
            <head>
                <title>ּҷ</title>
            </head>
            <body>
                <center>
                     ּҷ (ü <xsl:value-of select="count(/addressbook/person)"/>)<br/>
                    <table width="100%" border="1">
                        <tr>
                            <td>׷</td>
                            <td≯</td>
                            <td≯</td>
                            <td>ȭȣ</td>
                            <td>ּ</td>
                            <td>޸</td>
                        </tr>
                        <xsl:for-each select="/addressbook/person">
                            <!-- group Ӽ  Ѵ. -->
                            <xsl:sort select="@group" data-type="number"/>
                            <!-- name ҷ ٽ Ѵ. -->
                            <xsl:sort select="name"/>
                            <!--  ,  person  ø ȣѴ. --> 
                            <xsl:apply-templates select="."/>
                        </xsl:for-each>
                        <!-- person 尡   -->
                        <xsl:if test="count(/addressbook/person)=0">
                            <tr>
                                <td colspan="6" align="center">Ͱ ϴ.</td> 
                            </tr>
                        </xsl:if>
                    </table>
                </center>
            </body>
        </html>
    </xsl:template>

    <xsl:template match="person">
        <tr>
            <!-- person group Ӽ Ͽ Ѵ.-->
            <td>
                <xsl:choose>
                    <xsl:when test="@group='1'"></xsl:when>
                    <xsl:when test="@group='2'">б</xsl:when>
                    <xsl:when test="@group='3'">ڹ</xsl:when>
                </xsl:choose>
            </td>
            <!-- person     Ѵ.-->
            <td><xsl:value-of select="name"/></td>
            <td><xsl:value-of select="email"/></td>
            <td><xsl:value-of select="phone"/></td>
            <td><xsl:value-of select="addr"/></td>
            <td><xsl:value-of select="memo"/></td>
        </tr>
    </xsl:template>
</xsl:stylesheet>
