<%@ page errorPage="error.jsp"
        import="java.sql.*, javax.sql.*, javax.naming.*,
                java.io.UnsupportedEncodingException,
                java.text.SimpleDateFormat"
%>
<%
    response.setContentType("text/html");

    // ʱ  
    String QUERY_COUNT = "SELECT COUNT(*) FROM GUESTBOOK";
    String QUERY_LIST  = "SELECT * FROM (SELECT /*+ INDEX_DESC(GUESTBOOK PK_GUESTBOOK) */ ROWNUM RSEQ, SEQ, NAME, EMAIL, HOMEPAGE, SUBJECT, CONTENT, LOGTIME FROM GUESTBOOK WHERE ROWNUM <= ?) A WHERE A.RSEQ > ?";
    int pageSize = 5;
    int cpage    = 1;  //   ù 1 
    int total    = 0;  // Խù Ѽ

    // ¥ ǥ 
    SimpleDateFormat sdf = new SimpleDateFormat("yyyy MM dd hh:mm:ss");

    // Ķ ޾ƿ
    try {
    	cpage = Integer.parseInt(request.getParameter("pg"));
    } catch(Exception e) {
    	cpage = 1;
    }

    // db 
    Context initContext = new InitialContext();
    Context envContext  = (Context)initContext.lookup("java:/comp/env");
    DataSource ds = (DataSource)envContext.lookup("jdbc/myoracle");
    Connection conn = null;
    PreparedStatement pstmt = null;
    ResultSet rs = null;

    try {
    	conn = ds.getConnection();
    	// Խù īƮ
    	pstmt = conn.prepareStatement(QUERY_COUNT);
    	rs = pstmt.executeQuery();
    	if (rs.next()) {
    		total = rs.getInt(1);
    	}
    	rs.close();
    	pstmt.close();
%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
    <title></title>
    <link href="../css/style.css" rel="stylesheet" type="text/css">
</head>

<body>
<div align="center">
  <!--   -->
  <table width="85%" border="0" cellpadding="0" cellspacing="0">
    <tr>
      <td class="header"></td>
    </tr>
  </table>
  <br>
  <!--   ǥ -->
  <table width="85%" border="0" cellspacing="0" cellpadding="0">
    <tr>
      <td>&nbsp;</td>
      <td align="right"><a href="write.jsp">۾</a></td>
    </tr>
  </table>
  <table width="85%" border="0" cellspacing="0" cellpadding="0">
<%
    	//    ϱ
    	int endNo = pageSize * cpage;
    	pstmt = conn.prepareStatement(QUERY_LIST);
    	pstmt.setInt(1, endNo);
    	pstmt.setInt(2, endNo - pageSize);
    	rs = pstmt.executeQuery();
    	while(rs.next()) {
    	// Խù ǥϱ
%>    <tr>
      <td height="20" class="title">ۼ:<%= toEng(rs.getString("name")) %>
	  <% if (rs.getString("email")!=null) { %>
	  	<a href="mailto:<%= rs.getString("email") %>"><img src="../images/email.gif" alt="<%= rs.getString("email") %>" width="14" height="14" border="0" align="absbottom"></a>
	  <% } // end if email %>
	  <% if (rs.getString("homepage")!=null) { %>
	  	<a href="<%= toEng(rs.getString("homepage")) %>" target=_blank><img src="../images/homepage.gif" alt="<%= toEng(rs.getString("homepage")) %>" width="14" height="14" border="0" align="absbottom"></a>
	  <% } // end if homepage %>
	  </td>
    </tr>
    <tr>
      <td class="content">
	  <b><%= toEng(rs.getString("subject")) %></b><br>
	  <%= toEng(rs.getString("content")).replaceAll("\n","<br>") %>
	  <p align="right"><%= sdf.format(rs.getTimestamp("logtime")) %></p>
	  </td>
    </tr>
    <tr>
      <td align="right"><a href="password.jsp?seq=<%= rs.getInt("seq") %>"></a></td>
    </tr>
<%
    	}  // end while
    	rs.close();
    	pstmt.close();

    	// Խù  
    	if (total==0) {
%>    <tr>
      <td class="content" align="center">
	  ϵ  ϴ.
	  </td>
    </tr>
<%
    	} // end if Խù 
    } catch (Exception e) {
    	throw e;
    } finally {
    	// db  ݱ
    	conn.close();
    }
%>
  </table>
  <!--  page ǥ -->
<%
    //  ׺̼ ϱ
    // ü
    int totalPage = (total-1)/pageSize + 1;
    // 10, 10
    //    0 ̸ 10 
    int prev10 = (int)Math.floor((cpage-1) / 10.0) * 10;
    //  ù totalPage  ũ 10 
    int next10 = prev10 + 11;
    // ֱ 1page,  totalPage
%>
  <table width="85%" border="0" cellpadding="0" cellspacing="0">
    <tr>
      <td align="center" class="page">
<a href="list.jsp?pg=1">top</a>
<%
    if (prev10 > 0) {
%><a href="list.jsp?pg=<%= prev10 %>">10</a><%
    } // end if 10

    for (int i=1+prev10; i< next10 && i<=totalPage; i++ ) {
    	if (i==cpage) {
%> [<b><%= i %></b>]
<%
    	} else {
%> [<a href="list.jsp?pg=<%= i %>"><%= i %></a>]
<%
    	} // end if  ũ
    } // end for

    if (totalPage >= next10) {
%> <a href="list.jsp?pg=<%= next10 %>">10</a>
<%
    } // end if 10
%>
<a href="list.jsp?pg=<%= totalPage %>">bottom</a></td>
    </tr>
  </table>
</div>
</body>
</html>
<%!

	//  ° ѱ ڵ带 ȯ
	String toEng(String str) {
		if (str==null) return null;
		try {
			return new String(str.getBytes("MS949"), "8859_1");
		} catch (UnsupportedEncodingException e) {
			return str;
		}
	}

%>